package org.ow2.bonita.env.descriptor;

import org.jbpm.pvm.internal.wire.WireContext;
import org.jbpm.pvm.internal.wire.WireDefinition;
import org.jbpm.pvm.internal.wire.descriptor.AbstractDescriptor;
import org.ow2.bonita.facade.APIConfig;

/**
 *
 * @author Marc Blachon, Guillaume Porcher, Charles Souillard, Miguel Valdes, Pierre Vigneras
 */
public class APIConfigDescriptor extends
    AbstractDescriptor {

  private static final long serialVersionUID = 1L;

  protected String contextType;

  public Object construct(WireContext wireContext) {
    return new APIConfig(contextType);
  }

  public Class< ? > getType(WireDefinition wireDefinition) {
    return APIConfig.class;
  }
  
  public void setContextType(String contextType) {
    this.contextType = contextType;
  }

  public String getContextType() {
    return contextType;
  }
 
}
