package org.ow2.bonita.facade.exception;

import org.ow2.bonita.util.BonitaRuntimeException;
/**
 *
 * Thrown if IllegalArgumentException or IllegalStateException is raised during execution.
 * At APIInterceptor level cause of this exception is got
 * and the original exception is thrown.
 */
public class BonitaWrapperException extends BonitaRuntimeException {
  /**
   * Constructs a BonitaWrapperException with the throwable cause.
   * @param cause exception causing the abort.
   */
  public BonitaWrapperException(Throwable cause) {
    super(cause);
  }
}
