package org.ow2.bonita.util;

/**
 * @author Marc Blachon, Guillaume Porcher, Charles Souillard, Miguel Valdes, Pierre Vigneras
 */
public final class XmlConstants {

  private XmlConstants() { }
  /**
   * XML schema xsd file name.
   */
  public static final String XML_SCHEMA = "XMLSchema.xsd";

  /**
   * XML schema ns.
   */
  public static final String XML_NS = "http://www.w3.org/2001/XMLSchema";

  /**
   * XML schema ns.
   */
  public static final String XML_NS2 = "http://www.w3.org/2001/xml.xsd";

  /**
   * XPDL 1.0 schema xsd file named.
   */
  public static final String XPDL_1_0_SCHEMA = "TC-1025_schema_10_xpdl.xsd";

  /**
   * XPDL 1.0 executable schema ns.
   */
  public static final String XPDL_1_0_NS = "http://www.wfmc.org/2002/XPDL1.0";

  public static final String JAXP_SCHEMALANGUAGE = "http://java.sun.com/xml/jaxp/properties/schemaLanguage";
  public static final String JAXP_SCHEMASOURCE = "http://java.sun.com/xml/jaxp/properties/schemaSource";

}
