package org.ow2.bonita.facade.runtime.impl;

import java.util.Date;

import org.ow2.bonita.facade.runtime.TaskState;
import org.ow2.bonita.facade.runtime.Update;


public abstract class UpdateImpl implements Update {

  protected long dbid;
  protected Date date;
  /**
   * date at update
   */
  protected TaskState state;
  /**
   * User that performs the update
   */
  protected String updateUserId;

  public Date getUpdatedDate() {
    return date;
  }

  public TaskState getTaskState() {
    return state;
  }

  public String getUpdatedBy() {
    return updateUserId;
  }
}
